Module GlobErr
    '*****************************************************************************
    'Procedura wywietlajca komunikat bdu
    '*****************************************************************************
    Public Sub ShowErr(ByVal ErrNum As Integer)
        Dim sErr As String

        Select Case ErrNum
            Case ERROR_UNEXP_NET_ERR
                sErr = "Nieokrelony bd"

            Case ERROR_CRC
                sErr = "Bd bloku kontrolnego wiadomoci."

            Case ERROR_INVALID_DATA
                sErr = "Adres na parametr jest wyzerowany."

            Case ERROR_TOO_MANY_OPEN_FILES
                sErr = "Za duo otwartych TeleTokenw."

            Case ERROR_UNKNOWN_PORT
                sErr = "Nie znaleziono portu USB."

            Case ERROR_NOT_FOUND
                sErr = "TeleToken nie znaleziony."

            Case ERROR_TIMEOUT
                sErr = "Przekroczenie czasu trwania operacji lub sesji."

            Case ERROR_ACCOUNT_EXPIRED
                sErr = "Sesja nie zostaa otwarta lub wygasa."

            Case ERROR_ALREADY_INITIALIZED
                sErr = "Sesja jest ju otwarta."

            Case ERROR_GEN_FAILURE
                sErr = "TeleToken uszkodzony"

            Case ERROR_NOT_SUPPORTED
                sErr = "Rozkaz niezaimplementowany."

            Case ERROR_INVALID_BLOCK
                sErr = "Adres z poza zakresu"

            Case ERROR_SET_NOT_FOUND
                sErr = "Nie da si ustawi ochrony przed zapisem"

            Case ERROR_INVALID_PASSWORD
                sErr = "Haso nie ma uprawnie do wykonania podanej operacji"

            Case ERROR_ACCESS_DENIED
                sErr = "Operacja niedozwolona (ustawiona ochrona przed zapisem, zakaz otczytu itp.)"

            Case ERROR_COUNTER_TIMEOUT
                sErr = "Przekroczona dozwolona iloc operacji."
            Case Else
                sErr = "Wystpi bd numer :" & ErrNum
        End Select

        MsgBox(sErr, MsgBoxStyle.Critical)

    End Sub
    Public Function CheckErr(ByVal ErrNum As Integer) As Byte
        If (ErrNum <> ERROR_SUCCESS) Then
            ShowErr(ErrNum)
            Return 1
            Exit Function
        End If
        Return 0
    End Function

end module
